/* Button style */
.bb-dfy-primary-btn .bb-tabs__link,
.bb-dfy-primary-btn .elementor-button{background-color:var(--bb-primary-button-background-regular)!important;color:var(--bb-primary-button-text-regular)!important;border:1px solid var(--bb-primary-button-border-regular)!important;}
.bb-dfy-primary-btn .bb-tabs__link:hover,
.bb-dfy-primary-btn .elementor-button:hover{background-color:var(--bb-primary-button-background-hover)!important;color:var(--bb-primary-button-text-hover)!important;border-color:var(--bb-primary-button-border-hover)!important;}
.bb-dfy-secondary-btn .bb-tabs__link,
.bb-dfy-secondary-btn .elementor-button{background-color:var(--bb-secondary-button-background-regular)!important;color:var(--bb-secondary-button-text-regular)!important;border:1px solid var(--bb-secondary-button-border-regular)!important;}
.bb-dfy-secondary-btn .bb-tabs__link:hover,
.bb-dfy-secondary-btn .elementor-button:hover{background-color:var(--bb-secondary-button-background-hover)!important;color:var(--bb-secondary-button-text-hover)!important;border-color:var(--bb-secondary-button-border-hover)!important;}
.bb-dfy-primary-btn-without-brd .elementor-button{background-color:var(--bb-primary-button-background-regular)!important;color:var(--bb-primary-button-text-regular)!important;border:0!important;}
.bb-dfy-primary-btn-without-brd .elementor-button:hover{background-color:var(--bb-primary-button-background-hover)!important;color:var(--bb-primary-button-text-hover)!important;border:0!important;}
.bb-dfy-secondary-btn .elementor-button{background-color:var(--bb-secondary-button-background-regular)!important;color:var(--bb-secondary-button-text-regular)!important;border:0!important;}
.bb-dfy-secondary-btn-without-brd .elementor-button:hover{background-color:var(--bb-secondary-button-background-hover)!important;color:var(--bb-secondary-button-text-hover)!important;border:0!important;}

/* Footer style */
.footer-bottom.bb-footer .container{position:relative;padding-top:30px;}
.footer-widget-area.bb-footer .container{padding-top:50px;position:relative;padding-bottom:20px;}
.footer-bottom.bb-footer .container:before,
.footer-widget-area.bb-footer .container:before{content:"";position:absolute;top:0;width:calc(100% - 20px);left:10px;border-top:1px solid #E5E5E5;}
.footer-widget-area.bb-footer .widget{padding:0;border-radius:0;margin-bottom:0;}
.footer-widget-area.bb-footer .widget+.widget{margin-top:30px;}
.footer-widget-area.bb-footer .widget .widget-title{font-size:16px;line-height:24px;margin-bottom:15px;}
.footer-widget-area.bb-footer .widget ul li{margin:0;}
.footer-widget-area.bb-footer .widget ul li+li{margin-top:10px;}
.footer-widget-area.bb-footer .widget ul li a{padding:0;font-size:16px;line-height:19px;width:auto;}
.footer-widget-area.bb-footer .widget ul li a i{display:none;}
.footer-widget-area.bb-footer .widget ul li a:hover{background-color:transparent;color:var(--bb-footer-menu-link-color-hover);}
.footer-widget-area.bb-footer .widget ul li.current-menu-item a{background-color:transparent;color:var(--bb-footer-menu-link-color-active);}
.footer-widget-area.bb-footer .widget ul li a[target="_blank"]:after{content:'\ee68';font-family:bb-icons;margin-left:5px;font-weight:300;}
.footer-widget-area.bb-footer .widget ul li.see-all-link a{color:var(--bb-footer-menu-link-color-hover);}
.footer-widget-area.bb-footer .widget ul li.see-all-link a:after{content:'\e860';font-family:bb-icons;margin-left:3px;font-weight:300;vertical-align:middle;transition:all .4s;transform:translate(0,0);display:inline-block;}
.footer-widget-area.bb-footer .widget ul li.see-all-link a:hover:after{animation:active-hover 1.5s;}
@keyframes active-hover{
	0%,
	100%,
	20%,
	50%,
	80%{transform:translateX(0)}
	40%{transform:translateX(10px)}
	60%{transform:translateX(5px)}
}

/* Sidenav style */
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li{margin:0;}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li a:not([href]){font-size:15px;line-height:24px;margin-bottom:10px;text-transform:uppercase;padding:0;background:transparent!important;color:var(--bb-headings-color)!important;font-weight:600;margin-top:20px;}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li:first-child a:not([href]){margin-top:0;}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li a{font-size:15px;line-height:19px;padding:8px;display:flex;align-items:center;color:var(--bb-sidenav-text-regular);background-color:var(--bb-sidenav-menu-background-color-regular);}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li a ._mi{margin:0 8px 0 0;color:var(--bb-sidenav-text-regular);}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li a:hover{color:var(--bb-sidenav-text-hover);background-color:var(--bb-sidenav-menu-background-color-hover);}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li a:hover ._mi{color:var(--bb-sidenav-text-hover);}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li.current-menu-item a{color:var(--bb-sidenav-text-active);background-color:var(--bb-sidenav-menu-background-color-active);}
.widget-area.sm-grid-1-1 .widget_nav_menu .menu-sidebar-container ul li.current-menu-item a ._mi{color:var(--bb-sidenav-text-active);}






.ha-cs-content-section.active .elementor.elementor-1024 .elementor-section.elementor-top-section {
    left: -68px !important;
}
body.buddypress .gamipress-buddypress-points {
    margin-top: 0px !important;
}
body.buddypress .bb-user-content-wrap {
    display: flex !important;
    flex-wrap: wrap !important;
    justify-content: center;
    column-gap: 15px;
    row-gap: 10px;
}
.flex.align-items-center.member-title-wrap {
    flex: 0 0 auto;
    margin-bottom: 0;
}
.users-header .centered #item-header-content .item-meta {
    flex: 0 0 100%;
}
body.buddypress .gamipress-buddypress-user-details.gamipress-buddypress-user-details-top {
    display: flex;
    column-gap: 5px;
}
body.buddypress .gamipress-buddypress-ranks {
    margin-bottom: 0px !important;
    display: flex;
    align-items: center;
}
body.buddypress .gamipress-buddypress-points .gamipress-buddypress-points-type.gamipress-buddypress-point,
body.buddypress .gamipress-buddypress-ranks .gamipress-buddypress-rank.gamipress-buddypress-level {
    margin: 0px !important;
}

.thehobbie-gamipress-leaderboard-wrapper {
	width: 100%;
	margin: 15px 0;
}
.thehobbie-gamipress-leaderboard-wrapper ul {
	width: 100%;
	display: flex;
	flex-wrap: wrap;
	list-style: none;
	column-gap: 15px;
	row-gap: 15px;
}
.thehobbie-gamipress-leaderboard-wrapper ul li {
	justify-content: center;
	align-items: center;
}
.thehobbie-gamipress-leaderboard-wrapper ul li .profile-picture-wrapper {
	position: relative;
}
.thehobbie-gamipress-leaderboard-wrapper ul li .profile-picture-wrapper span.gamipress-level-rank {
	width: auto;
	background-color: #e3e3e3;
	color: #000000;
	font-size: 12px;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	column-gap: 6px;
	font-weight: 600;
	padding: 0px 8px;
	border-radius: 5px;
	margin-top: -13px;
}
.thehobbie-gamipress-leaderboard-wrapper ul li .profile-picture-wrapper span.gamipress-level-rank-wrapper {
	width: 100%;
	display: flex;
  	justify-content: center;
}
.thehobbie-gamipress-leaderboard-wrapper ul li .profile-picture-wrapper span.gamipress-level-rank img {
	width: 15px;
	height: auto;
	border-radius: 0;
	border: none;
}
.thehobbie-gamipress-leaderboard-wrapper ul li img {
	width: 100px;
	height: 100px;
	border-radius: 100%;
	border: 1px solid rgba(0,0,0,.5);
}
.thehobbie-gamipress-leaderboard-wrapper ul li a {
	font-size: 15px;
	color: #000000;
	display: block;
	text-align: center;
}

.thehobbie-gamipress-leaderboard-list-wrapper {
	width: 100%;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul {
	width: 100%;
	list-style: none;
	padding-left: 0;
	margin: 0 !important;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul li {
	width: 100%;
	display: flex;
	column-gap: 10px;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul li:not(:last-child) {
	margin-bottom: 15px;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul li .serian-no {
	font-size: 15px;
	color: #000000;
	display: flex;
  	align-items: center;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul li .serian-no img {
	width: 30px;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul li .user-profile-details {
	font-size: 15px;
	display: flex;
	align-items: center;
	width: 100%;
	gap: 10px;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul li .user-profile-details img {
	width: 40px;
	height: 40px;
	border-radius: 100%;
}
.thehobbie-gamipress-leaderboard-list-wrapper ul li .total-points {
	font-size: 15px;
	font-weight: 600;
	color: #0335D2;
	margin-bottom: 0;
	display: flex;
  	align-items: center;
}

.thehobbi-gamipress-leaderboard-all-levels-wrapper {
	width: 100%;
	display: grid;
	grid-template-columns: auto;
	grid-template-rows: auto auto auto auto auto;
	grid-auto-flow: column;
}
.thehobbile-gamipress-rank-level {
	width: 100%;
	display: flex;
	padding: 15px;
	align-items: center;
}
.thehobbile-gamipress-rank-level .level-serial-no {
	width: 46px;
	height: 40px;
	border-radius: 100%;
	background-color: #e3e3e3;
	color: #000000;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 15px;
}
.thehobbile-gamipress-rank-level .level-serial-no.passed {
	background-color: #0335D2;
	color: #ffffff;
}
.thehobbile-gamipress-rank-level .level-details {
	width: 100%;
	padding-left: 15px;
}
.thehobbile-gamipress-rank-level .level-details h4 {
	margin-bottom: 0;
}
.thehobbile-gamipress-rank-level .level-details p {
	margin-bottom: 0;
}
.thehobbi-gamipress-leaderboard-current-user-wrapper {
	width: 100%;
}
.thehobbi-gamipress-leaderboard-current-user-wrapper .profile-picture .profile-picture {
	display: flex;
	justify-content: center;
}
.thehobbi-gamipress-leaderboard-current-user-wrapper .profile-picture .profile-picture img {
	width: 200px;
	height: 200px;
	border: 5px solid #0335D2;
	border-radius: 100%;
	margin-bottom: 30px;
}
.thehobbi-gamipress-leaderboard-current-user-wrapper .profile-picture h4 {
	font-size: 24px;
	font-weight: 600;
	text-align: center;
	margin-bottom: 0;
}
.thehobbi-gamipress-leaderboard-current-user-wrapper .profile-picture h5 {
	font-size: 17px;
	font-weight: 500;
	text-align: center;
	margin-bottom: 0;
}
.thehobbi-gamipress-leaderboard-current-user-wrapper .profile-picture p {
	font-size: 15px;
	font-weight: 400;
	text-align: center;
	margin-bottom: 0;
}
.thehobbi-gamipress-leaderboard-current-user-wrapper .profile-picture p span {
	color: #0335D2;
	margin-bottom: 0;
}